<?php
//include("pre-pagina");

//No hacemos nada si no está  todo correcto
if ($todo_correcto){
	//$direccion_empresa = dame_valor_variable_global("url", "");
	//$direccion_admin = dame_valor_variable_global("direccion_admin", $direccion_empresa . "admin/");
//loadFile("js/jquery-1.11.1.min.js");
include_once('../comunes/globals.php');
	include("comunes/lista_widgets.php");
	$configuracion = new Configuracion();
	$empresa = new Empresa();
?>
		<script type="text/javascript">
			var imagen_cargada = false;
			//Vamos a inicializar las variables de configuración de imgUploader
			//No inicializamos ni ancho ni alto para que no se asigne ninguno de estos valores
			//var imagenWidth = 600;
			//var imageHeight = 600;
            var imageUrl = "<?=Shop::$configuracion->url;?>admin/consultas/insertar_imagen.php";
			var imageParams = "";
			var imageFinalFunction = function(objeto){
				//Tenemos que añadir la imagen y el botón de borrar a la lista
				var capa_temporal = $('<div class="foto_banner">');
				var enlace_temporal = $('<a href="javascript:void(0);" class="seleccionar" onclick="seleccionar_foto(this);">seleccionar</a>');
				capa_temporal.append(enlace_temporal);
				var imagen_temporal = $('<img src="<?=Shop::$configuracion->url;?>almacen_img/' + objeto.fileName + '.png" />');
				capa_temporal.append(imagen_temporal);
				enlace_temporal = $('<a href="javascript:void(0);" class="borrar" onclick="eliminar_foto(this);">Borrar</a>');
				capa_temporal.append(enlace_temporal);
				$("#lista_imagenes_banner").append(capa_temporal);
				//lista_imagenes_banner
				//alert("SUBIDA");
			};
			var imageFormat = ".jpg";
			var imagePath = "../../almacen_img/";
			var imageUploadingText = "Subiendo imagen";
		</script>
        <script type="text/javascript" src="<?=Shop::$configuracion->url?>admin/js/imgUploader.js"></script>
        <?php
        //include("comunes/header.php");
        ?>
		<script type="text/javascript">
			//Vamos a programar el borrado de las imágenes:
			$(document).ready(function(){
				//Control sobre el botón de borrar
				$("#lista_imagenes_banner a.borrar").on("click", function(){
					eliminar_foto(this);
				});
				//Control sobre el botón de seleccionar
				$("#lista_imagenes_banner a.seleccionar").on("click", function(){
					seleccionar_foto(this);
				});
			});
			function eliminar_foto(objeto){
				//Necesitamos la imagen inmediatamente anterior
				if ( $(objeto).parent().children("img")[0] != null ){
					var ruta_imagen = $(objeto).parent().children("img").prop("src");
					ruta_imagen = ruta_imagen.split("/");
					ruta_imagen = ruta_imagen[ruta_imagen.length - 1];
					//Vamos a lanzar un php que borre la imagen
                    consultaPHP("<?=Shop::$configuracion->url?>admin/consultas/borrar_imagen.php", "ruta_imagen=" + ruta_imagen, function(){});
					//Por último vamos a quitar la imagen
					$(objeto).parent().remove();
				}
			}

			function seleccionar_foto(objeto){
				//Comprobamos si el objeto hay que seleccionarlo o no
				var seleccionar_objeto = false;
				if ($(objeto).html() == "seleccionar"){
					seleccionar_objeto = true;
				}
				//Ahora ponemos todos los objetos como "seleccionar"
				$("#lista_imagenes_banner .foto_banner").css("background-color", "transparent");
				$("#lista_imagenes_banner .foto_banner a.seleccionar").html("seleccionar");
				//Limpiamos el campo oculto con el nombre de la imagen
				$('input[name="nombre_banner"]').prop("value", "");
				//Según si el botón es "seleccionar" o "deseleccionar" hacemos una cosa u otra
				if (seleccionar_objeto){
					$(objeto).html("deseleccionar");
					$(objeto).parent().css("background-color", "rgb(66, 115, 148)");
					//Vamos a coger la ruta de la imagen
					var ruta_imagen = $(objeto).parent().children("img").prop("src");
					ruta_imagen = ruta_imagen.split("/");
					ruta_imagen = ruta_imagen[ruta_imagen.length - 1];
					$('input[name="nombre_banner"]').prop("value", ruta_imagen);
					//Colocamos la imagen en la previa
					$("#img_prev").attr("src","<?=Shop::$configuracion->url?>almacen_img/"+ruta_imagen);
				}
				//Por último, ocultamos o mostramos el botón según convenga
				if (seleccionar_objeto){
					$("#botones_banner p").hide();
					$("#botones_banner input").show();
				}else{
					$("#botones_banner p").show();
					$("#botones_banner input").hide();
				}
			}

		</script>
    </head>
<?php
	//Ahora llega el momento de dar de alta el banner si así se requiere
	$accion = dame_valor_variable_global("accion", "");
	$conexionBD = dame_valor_variable_global("conexionBD", false);
	if ($accion == "crear_banner"){
		//Tenemos que crear el banner con los elementos recibidos
		$posicion = dame_valor_variable_global("posicion", -1);
		$orden = dame_valor_variable_global("orden", 0);
		$titulo = dame_valor_variable_global("titulo_banner", "");
		$url = dame_valor_variable_global("url_banner", "");
		$nombre = dame_valor_variable_global("nombre_banner", "");
		$condicion = dame_valor_variable_global("condicion", "");
		$codIdioma = dame_valor_variable_global('codIdioma',Shop::$configuracion->idioma);
		//Si tenemos los elementos necesarios, lo damos de alta
		if ($nombre != ""){
			$sentencia_sql = "INSERT INTO `banner` (`posicion`, `orden`, `url`, `titulo`, `imagen`, `activo`, `condicion`,`idioma`) VALUES ('$posicion', '$orden', '$url', '$titulo', '$nombre', '0', '$condicion','$codIdioma')";
			if ($conexionBD){
				$resultado = mysqli_query($conexionBD, $sentencia_sql);
			}
		}
	}else if ($accion == "borrar_banner"){
		$cod_banner = dame_valor_variable_global("cod_banner", 0);
		$sentencia_sql = "DELETE FROM banner WHERE codigo = $cod_banner";
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}else if ($accion == "activar_banner"){
		$cod_banner = dame_valor_variable_global("cod_banner", 0);
		$sentencia_sql = "UPDATE banner SET activo = 1 WHERE codigo = $cod_banner";
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}else if ($accion == "desactivar_banner"){
		$cod_banner = dame_valor_variable_global("cod_banner", 0);
		$sentencia_sql = "UPDATE banner SET activo = 0 WHERE codigo = $cod_banner";
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}else if($accion =='update_ban'){
		$cod_banner = dame_valor_variable_global("codigo", 0);
		//Tenemos que crear el banner con los elementos recibidos
		$posicion = dame_valor_variable_global("posicion", -1);
		$orden = dame_valor_variable_global("orden", 0);
		$titulo = dame_valor_variable_global("titulo_banner", "");
		$url = dame_valor_variable_global("url_banner", "");
		$nombre = dame_valor_variable_global("nombre_banner", "");
		$condicion = dame_valor_variable_global("condicion", "");
		$codIdioma = dame_valor_variable_global('codIdioma',Shop::$configuracion->idioma);
		
		$sentencia_sql = "UPDATE banner SET
		`posicion`= '$posicion',`orden`=$orden,
		`url`='$url',`titulo`= '$titulo',`condicion`= '$condicion',`idioma`='$codIdioma',`imagen`='$nombre'
		WHERE codigo = $cod_banner";
		//echo $sentencia_sql;
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}
?>
    <body>
	<?php
    //include("comunes/cabecera.php");
    ?>     
    <div id="opciones_top">
        <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
        <!--<div id="opcion_desconectar">
            <p><span>Desconectar</span><a href="<?=$direccion_empresa;?>index.php?logout=true" class="log_out"></a></p>
        </div>-->
    </div>
<div id="add_imagen">
	<h2 class="titulo">Gestor de im&aacute;genes disponibles</h2>
	<p>Esta es la lista de im&aacute;genes disponibles para utilizar en sus banners. Pulse el bot&oacute;n de <b>Borrar</b> para eliminarlas de la lista o el bot&oacute;n <b>Cargar</b> para a&ntilde;adir una nueva imagen a la lista de im&aacute;genes disponibles.</p>
	<form action="javascript:void(0);" method="POST" id="add_imagen">
		<fieldset class="fileReader"></fieldset>
	</form>
	<div id="lista_imagenes_banner">
<?php
	//Aquí vamos a mostrar todas las fotos que hay subidas
	$directorio_imagenes = "../almacen_img/";
	$objDir = opendir($directorio_imagenes);
    // Leo todos los ficheros de la carpeta
    while ($elemento = readdir($objDir)){
        // Tratamos los elementos . y .. que tienen todas las carpetas
        if( $elemento != "." && $elemento != ".."){
            // Si es una carpeta
            if( !is_dir($directorio_imagenes . $elemento) ){
				//Si el objeto es una imagen, la mostramos:
?>
				<div class="foto_banner" data-n="<?=$elemento?>">
					<a href="javascript:void(0);" class="seleccionar">seleccionar</a>
					<img src="<?=Shop::$configuracion->url . "almacen_img/" . $elemento;?>"  />
					<a href="javascript:void(0);" class="borrar">Borrar</a>
				</div>
<?php
            }
        }
    }
?>
	</div>
</div>
<div id="add_banner">
<br/>
	<h2 class="titulo">Gestor de Banners</h2>
	<h5 class="aviso_ban"></h5>
	<div class="half-7">
	<h4>Formulario</h4>
		<form action="<?=Shop::$configuracion->url;?>admin/banners.php" method="POST" id="form_crear_banner">
			<fieldset id="posicion">
				<label class="primera_opcion">Posición</label>
				<span>
					<input type="radio" name="posicion" value="0"  class="posicion"/>
					<label class="opcion">Arriba</label>
				</span>
				<span>
					<input type="radio" name="posicion" value="1" class="posicion"/>
					<label class="opcion">Izquierda</label>
				</span>
				<span>
					<input type="radio" name="posicion" value="2" class="posicion"/>
					<label class="opcion">Centro</label>
				</span>
				<span>
					<input type="radio" name="posicion" value="3" class="posicion"/>
					<label class="opcion">Derecha</label>
				</span>
				<span>
					<input type="radio" name="posicion" value="4" class="posicion" />
					<label class="opcion">Abajo</label>
				</span>
			</fieldset>
			<fieldset class="orden">
				<label class="opcion">Orden</label>
				<input type="text" name="orden" id="orden" value="0"/>
			</fieldset>
			<fieldset id="datos_banner">
				<span>
					<label>Titulo</label>
					<input type="text" name="titulo_banner" id="titulo_banner" />
				</span>
				<span>
					<label>URL</label>
					<input type="text" name="url_banner" id="url_banner" />
				</span>
				<span>
					<label>Condici&oacute;n</label>
					<input type="text" name="condicion" id="condicion" />
				</span>
	<?php
		$sentencia_sql = "SELECT  `codigo` , `nombre`  FROM  `idioma` WHERE  `disponible` = TRUE ";
	?>
				<span>
					<label for="select_idioma">Idioma</label>
					<select id="select_idioma" name="codIdioma">
	<?php 
	if ($conexionBD){
					if ( $resultado = mysqli_query($conexionBD, $sentencia_sql) ){
						//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
						while($fila = mysqli_fetch_array($resultado)){
	?>
						<option value="<?= $fila['codigo'] ?>"><span  class="<?= $fila['codigo'] ?>"></span><?= $fila['nombre'] ?></option>
	<?php
						}
					}
	}
	?>
					</select>
				</span>
			</fieldset>
			<fieldset id="botones_banner">
				<input type="submit" name="crear_codigo"  id="crear_codigo" value="Crear" />
				<p class="notice">Debe seleccionar un banner de la lista de banners. Si no existen banners suba una nueva imagen.</p>
			</fieldset>
			<input type="hidden" name="nombre_banner" id="nombre_banner" value=""/>
			<input type="hidden" id="accion" name="accion"  value="crear_banner"/>
			<input type="hidden" id="codigo" name="codigo"  value=""/>
		</form>
	</div>
	<div class="half-4">
	<h4>Imagen Actual</h4>
		<img id="img_prev" src="<?=Shop::$configuracion->url?>multi/200/190/" alt="imagen seleccionada" />
	</div>
</div>
<!-- GEneramos la tabla con los atos de los banner -->
<table class="tabla_banner" id="tabla_banner">
				<thead>
					<tr class="banner">
						<th class="vacio">&nbsp;</th>
						<th class="tbanner"><a href="javascript:void( 0 );">Banner</a></th>
                        <th class="tposicion"><a href="javascript:void( 0 );">Posici&oacute;n</a></th>
                        <th class="torden"><a href="javascript:void( 0 );">Orden</a></th>
						<th class="tcondicion"><a href="javascript:void( 0 );">Condici&oacute;n</a></th>
                        <th class="ttitulo"><a href="javascript:void( 0 );">Titulo</a></th>
                        <th class="tidioma"><a href="javascript:void( 0 );">Idioma</a></th>
                        <th class="turl"><a href="javascript:void( 0 );">url</a></th>
                        <th class="teditar"><a href="javascript:void( 0 );">Editar</a></th>
						<th class="testado"><a href="javascript:void( 0 );">Estado</a></th>
					</tr>
				</thead>
				<tbody>
                <?php
                $sentencia_insertar_codigo="SELECT * FROM `banner` ";
		//echo $sentencia_insertar_codigo;
			if ($conexionBD){
				if ( $resultado = mysqli_query($conexionBD, $sentencia_insertar_codigo) ){
					//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
					while($fila = mysqli_fetch_array($resultado)){
		?>
                <tr class="fila_codigo_promocional" id="codigo_promocional_<?=$fila['codigo'];?>">
						<td class="borrar_codigo" data-codigo="<?=$fila['codigo']?>">
                                <a href="<?=Shop::$configuracion->url;?>admin/banners.php?accion=borrar_banner&cod_banner=<?=$fila['codigo'];?>" title="Borrar banner" onClick="if (!confirm('¿Desea eliminar este banner?')) return(false);">
                                <img src="<?=Shop::$configuracion->url;?>admin/images/borrar.png" title="Borrar banner" />
                                </a>
						</td>
                        <td class="t_banner" data-nombre="<?=$fila['imagen']?>">
							<a href="javascript:void(0)" title="Ampliar"><img src="<?=Shop::$configuracion->url . "almacen_img/"?><?=$fila['imagen'];?>" alt="<?=$fila['titulo'];?>" /></a>
						</td>
						<td class="t_posicion">
<?php
						$cad_posicion = "";
						switch($fila['posicion']){
							case 0:
								$cad_posicion = "Arriba";
							break;
							case 1:
								$cad_posicion = "Izquierda";
							break;
							case 2:
								$cad_posicion = "Centro";
							break;
							case 3:
								$cad_posicion = "Derecha";
							break;
							case 4:
								$cad_posicion = "Abajo";
							break;
						}
?>
							<?=$cad_posicion;?>
						</td>
                        <td class="t_orden">
							<?=$fila['orden'];?>
						</td>
						<td class="t_condicion">
							<?=$fila['condicion'];?>
						</td>
                        <td class="t_titulo">
							<?=$fila['titulo'];?>
						</td>
                        <td class="t_idioma">
                        	<?=$fila['idioma'];?>
                        </td>
                        <td class="t_url">
							<?=$fila['url'];?>
						</td>
						<td class="teditar">
							<button class="btn btn-editar">Editar</button>
						</td>
						<td class="t_estado">
						<?php
                        if($fila['activo']==0){
							?>
                             <a href="<?=Shop::$configuracion->url;?>admin/banners.php?accion=activar_banner&cod_banner=<?=$fila['codigo'];?>" title="Pinchar para habilitar este banner" ><img src="<?=Shop::$configuracion->url;?>admin/images/Red.png" width="14" height="14" alt="Deshabilitado" title="Deshabilitado" /></a>
							<?php
                            
						}else{
							?>
                             <a href="<?=Shop::$configuracion->url;?>admin/banners.php?accion=desactivar_banner&cod_banner=<?=$fila['codigo'];?>" title="Pinchar para deshabilitar este banner" ><img src="<?=Shop::$configuracion->url;?>admin/images/Green.png" width="14" height="14" alt="Habilitado" title="Habilitado" /></a>
							<?php
							
                            }
						?>                        	
                        </td>
						
                    </tr>
                    <?php
					}
                    }else{
					echo("Error al guardar el banner. Compruebe si ha puesto bien los datos y si el problema persiste póngase en contacto con su administrador<br />");
				}
			}
		
		?>
				</tbody>
				<tfoot>
					<tr class="foot_tabla">
						<td colspan="7" class="pie_tabla"></td>
					</tr>
				</tfoot>
			</table>
		<?php
        //include("comunes/pie.php");
        ?>
<script>
function formEdit(){
	var padre = $(this).parent().parent();
	var array = padre.children();
	var opcion = $(".posicion");
	console.log(array);
	$("#accion").val("update_ban");
	$("#titulo_banner").val(array[5].innerText);
	$("#url_banner").val(array[7].innerText);
	$("#condicion").val(array[4].innerText);
	$("#select_idioma").val(array[6].innerText);
	$("#orden").val(array[3].innerText);
	$("#codigo").val(array[0].dataset.codigo);
	$("#nombre_banner").val(array[1].dataset.nombre);
	$("#img_prev").attr("src","<?=Shop::$configuracion->url?>almacen_img/"+array[1].dataset.nombre);
	var name = array[1].dataset.nombre;
	$(".foto_banner[data-n='"+name+"']").find("a.seleccionar").click();
	//preparamos la simulacion del click
	console.log($("#"+name).find("a")[0]);
	//$("#"+array[1].dataset.nombre).find("a")[0].trigger("click");
	//console.log(array[2].innerText);
	//console.log(opcion);
	switch (array[2].innerText){
		case "Arriba":
			opcion[0].setAttribute("checked","checked");
		break;
		case "Abajo":
			opcion[4].setAttribute("checked","checked");
		break;
		case "Centro":
			opcion[2].setAttribute("checked","checked");
		break;
		case "Derecha":
			opcion[3].setAttribute("checked","checked");
		break;
		case "Izquierda":
			opcion[1].setAttribute("checked","checked");
		break;
	};
	
	$("#crear_codigo").val("Modificar");
	$("#crear_codigo").show();
	$(".notice").hide();
}
	$(document).ready(function (){
	//Por asegurarnos de que todo funcione como debe esperamos que el DOM cargue antes de asignar ningun evento.
		$('.btn-editar').click(formEdit);
		
		});
</script>
<div class="paginacion">
	
</div>
    </body>
</html>
<?php
}
//include("post-pagina.php");
?>